Bug 453292 - Segfault on Indexing Evolution mail
Segfault on Indexing Evolution mail
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-28 22:10 EDT by Andrew Lau
Modified: 2009-07-14 11:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Lau 2008-06-28 22:10:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
Tracker was only indexing half of my emails and noticed the process dissappeared.  After re-indexing with gdb attached, noticed a segfault happening with stack trace:

#0  do_save_ondisk_email_message_for_imap (db_con=0x9d88600, 
    mail_msg=0xa42bde0) at tracker-email-evolution.c:2327
#1  0x080748ed in index_mail_messages_by_summary_file (db_con=0x9d88600, 
    mail_type=MAIL_TYPE_IMAP, summary_file_path=<value optimized out>, 
    load_meta_header=0x8073ea0 <load_summary_file_meta_header_for_imap>, 
    load_mail=0x8076060 <load_mail_message_for_imap>, 
    skip_mail=0x8075500 <skip_mail_message_for_imap>, 
    save_ondisk_mail=0x8072fb0 <save_ondisk_email_message_for_imap>)
    at tracker-email-evolution.c:1378
#2  0x08074fa3 in evolution_index_file (db_con=0x9d88600, info=0xa13b518)
    at tracker-email-evolution.c:459
#3  0x08070584 in tracker_email_index_file (db_con=0x9d88600, info=0xa13b518, 
    service=0xa329c68 "EvolutionEmails") at tracker-email.c:115
#4  0x08052361 in process_files_thread () at trackerd.c:963
#5  0x00afc46f in ?? () from /lib/libglib-2.0.so.0
#6  0x0090e32f in start_thread () from /lib/libpthread.so.0
#7  0x0084927e in clone () from /lib/libc.so.6


Version-Release number of selected component (if applicable):
tracker-0.6.6-2

How reproducible:
Always


Steps to Reproduce:
1.Re-Index function of tracker via the applet
2.Process segfaults at the same mail
3.

Actual Results:
Either the process disappears or if gdb is attached indicates a segfault

Expected Results:
Indexing of all mails should have completed.

Additional info:
Comment 1 Bug Zapper 2009-06-09 21:49:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:07:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.